namespace Model.Stub;

public class Stub : IDataManager
{

    public IEnumerable<Artiste> Artistes;

    public IEnumerable<Album> Albums;

    public IEnumerable<Playlist> Playlists;

    public IEnumerable<Title> Titles;

    public Stub()
    {
        Artistes = new List<Artiste>();
        Albums = new List<Album>();
        Playlists = new List<Playlist>();
        Titles = new List<Title>();

        Artiste Artiste1 = new Artiste("Critien");
        Artiste Artiste2 = new Artiste("Gouriet");
        Artiste Artiste3 = new Artiste("Poulifer");
        Artiste Artiste4 = new Artiste("Credian");

        Album Album1 = new Album("la street", "lastreet.png", Artiste1, "c'est la street", "plein d'infos1");
        Album Album4 = new Album("la pas le choix", "peutetre.png", Artiste4, "c'est la parterre", "plein d'infos4");

        Artiste1.AddAlbum(Album1);
        Artiste1.AddAlbum(new Album("la jsp", "oui.png", Artiste1, "c'est la couri", "plein d'infos2"));
        Artiste2.AddAlbum(new Album("la pas le temps", "non.png", Artiste3, "c'est pas la street", "plein d'infos3"));
        Artiste2.AddAlbum(Album4);

        Playlist Playlist1 = new Playlist("Playlist1", "desc1", "url1.png");
        Playlist Playlist2 = new Playlist("Playlist2", "desc2", "url2.png");
        Playlist Playlist3 = new Playlist("Playlist3", "desc3", "url3.png");
        Playlist Playlist4 = new Playlist("Playlist4", "desc4", "url4.png");

        Playlist1.AddTitle(new CustomTitle("custom1", "url1.png", "info1", "chemin1"));
        Playlist1.AddTitle(new CustomTitle("custom2", "url2.png", "info2", "chemin2"));
        Playlist1.AddTitle(new CustomTitle("custom3", "url3.png", "info3", "chemin3"));
        Playlist2.AddTitle(new CustomTitle("custom4", "url4.png", "info4", "chemin4"));

        Album1.AddTitle(new InfoTitle("info1", "url1.png", "info1", Artiste2, "desc1", Genre.K_POP));
        Album1.AddTitle(new InfoTitle("info2", "url2.png", "info2", Artiste3, "desc2", Genre.GOSPEL));
        Album1.AddTitle(new InfoTitle("info3", "url3.png", "info3", Artiste4, "desc3", Genre.BLUES));
        Album4.AddTitle(new InfoTitle("info4", "url4.png", "info4", Artiste3, "desc4", Genre.DISCO));
    }
}
